org.apache.sysds.runtime.instructions.spark.data

## Class BlockPartitioner

- java.lang.Object
- - org.apache.spark.Partitioner
  - - org.apache.sysds.runtime.instructions.spark.data.BlockPartitioner

All Implemented Interfaces:
  Serializable

    public class BlockPartitioner
    extends org.apache.spark.Partitioner

Default partitioner used for all binary block rdd operations in order to enable sufficient local aggregation independent of the aggregation direction (row/col-wise). Especially, on large squared matrices (as common for factorization or graph algorithms), this is crucial for performance.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BlockPartitioner(DataCharacteristics mc, int numParts)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`int` `getPartition(Object arg0)`
`int` `hashCode()`
`int` `numPartitions()`

### Methods inherited from class org.apache.spark.Partitioner

`defaultPartitioner`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BlockPartitioner

    public BlockPartitioner(DataCharacteristics mc,
                            int numParts)

### Method Detail

#### getPartition

    public int getPartition(Object arg0)

Specified by:
  `getPartition` in class `org.apache.spark.Partitioner`

#### numPartitions

    public int numPartitions()

Specified by:
  `numPartitions` in class `org.apache.spark.Partitioner`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`